%the function re-arranges the axis numbering

fig2d1=load('Plot2d1.fig', '-mat');
	xlim([min(t_range) max(t_range)])
    set(gca,'Box','on');
    set(gca,'TickDir','out');
    set(gca,'TickLength',[0.005, 0.0051])
    %set(gca, 'fontsize',14)
    ax2d1=gca;
    clear gca
fig3a=load('Plot3a.fig', '-mat');
    xlim([min(t_range) max(t_range)])
    ylim([-0.002 0.002])  
    set(gca,'Box','on');
    set(gca,'TickDir','out');
    set(gca,'TickLength',[0.005, 0.0051])
    %set(gca, 'fontsize',14)
    ax3a=gca;
    clear gca
fig3b=load('Plot3b.fig', '-mat');
    xlim([min(t_range) max(t_range)])
    ylim([-180 180]) 
    set(gca,'Box','on');
    set(gca,'TickDir','out');
    set(gca,'TickLength',[0.005, 0.0051])
    %set(gca, 'fontsize',14)
    ax3b=gca;
    clear gca
fig3c=load('Plot3c.fig', '-mat');
    xlim([min(t_range) max(t_range)])
    ylim([-0.002 0.002])
    set(gca,'Box','on');
    set(gca,'TickDir','out');
    set(gca,'TickLength',[0.005, 0.0051])
    %set(gca, 'fontsize',14)
    ax3c=gca;
    clear gca
fig2a=load('Plot3d.fig', '-mat');
    xlim([10*10^(-6) 12*10^(-6)])
    ylim([-0.002 0.002]) 
    set(gca,'Box','on');
    set(gca,'TickDir','out');
    set(gca,'TickLength',[0.005, 0.0051])
    %set(gca, 'fontsize',14)
    ax3d=gca;
    clear gca


figure
set(gcf,'Visible','on')
tcl=tiledlayout(5,1);

ax2d1.Parent=tcl;
ax2d1.Layout.Tile=1;

ax3a.Parent=tcl;
ax3a.Layout.Tile=2;

ax3b.Parent=tcl;
ax3b.Layout.Tile=3;

ax3c.Parent=tcl;
ax3c.Layout.Tile=4;

ax3d.Parent=tcl;
ax3d.Layout.Tile=5;

